Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.knipp.rritoolkit.request
Class LoginRequest

    java.lang.Object
      de.knipp.rritoolkit.request.Request
          de.knipp.rritoolkit.request.LoginRequest

    public class LoginRequest

extends Request

implementation of the login request

Version:
  $Revision: 14936 $
Author:
  Klaus Malorny

Field Summary
`private java.lang.String` | `password` the password
`private java.lang.String` | `userName` the user name

Constructor Summary
`LoginRequest()`

Method Summary
`LoginResponse` | `execute(Port port)` execute the this request on the given port.
`protected java.lang.String` | `getActionCode()` return the action string for this request
`java.lang.String` | `getPassword()` return the password
`java.lang.String` | `getUser()` return the user name
`protected void` | `requestToKVList(KVList list)` method that needs to be implemented by subclasses for the key-value list conversion
`protected void` | `requestToXml(org.w3c.dom.Node node)` method that needs to be implemented by subclasses for the XML conversion
`void` | `setPassword(java.lang.String thePassword)` set the password
`void` | `setUser(java.lang.String theUserName)` set the user name
`java.lang.String` | `toString()` return a string representation for debugging purposes

Methods inherited from class de.knipp.rritoolkit.request.Request
`getClientTxnID, getProtocolVersion, setClientTxnID, toList, toXml`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### userName

    private java.lang.String userName

  the user name

### password

    private java.lang.String password

  the password

Constructor Detail

### LoginRequest

    public LoginRequest()

Method Detail

### setUser

    public void setUser(java.lang.String theUserName)

  set the user name

  Parameters:
    `theUserName` - the user name

### getUser

    public java.lang.String getUser()

  return the user name

  Returns:
    the user name

### setPassword

    public void setPassword(java.lang.String thePassword)

  set the password

  Parameters:
    `thePassword` - the password

### getPassword

    public java.lang.String getPassword()

  return the password

  Returns:
    the password

### execute

    public LoginResponse execute(Port port)
                          throws java.io.IOException

  execute the this request on the given port.

  Overrides:
    `execute` in class `Request`
  Parameters:
    `port` - the port on which this request shall be executed
  Returns:
    the response
  Throws:
    `java.io.IOException` - if the execution failed

### requestToXml

    protected void requestToXml(org.w3c.dom.Node node)
                         throws org.w3c.dom.DOMException,
                                EncodeException

  method that needs to be implemented by subclasses for the XML conversion

  Specified by:
    `requestToXml` in class `Request`
  Parameters:
    `node` - the node where the request shall be added to
  Throws:
    `org.w3c.dom.DOMException` - on DOM exceptions
    `EncodeException` - if the encoding fails for some reason

### getActionCode

    protected java.lang.String getActionCode()

  return the action string for this request

  Specified by:
    `getActionCode` in class `Request`
  Returns:
    the action string

### requestToKVList

    protected void requestToKVList(KVList list)
                            throws EncodeException

  method that needs to be implemented by subclasses for the key-value list conversion

  Specified by:
    `requestToKVList` in class `Request`
  Parameters:
    `list` - the list that has to be filled
  Throws:
    `EncodeException` - if the encoding fails for some reason

### toString

    public java.lang.String toString()

  return a string representation for debugging purposes

  Overrides:
    `toString` in class `Request`
  Returns:
    the string representation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2011 Knipp Medien und Kommunikation GmbH